|  | Home |

# QMailLineEndingCodec Class Reference

The QMailLineEndingCodec class encodes textual data to use CR/LF line endings required for SMTP transmission. More...

        #include <QMailLineEndingCodec>

This class is under development and is subject to change.

Inherits QMailCodec.

- List of all members, including inherited members

## Public Functions

| QMailLineEndingCodec ()

- 9 public functions inherited from QMailCodec

### Additional Inherited Members

- 3 static public members inherited from QMailCodec
- 2 protected functions inherited from QMailCodec

## Detailed Description

The QMailLineEndingCodec class encodes textual data to use CR/LF line endings required for SMTP transmission.

The QMailLineEndingCodec allows client code to use the QMailCodec interface to encode textual data from the local line-ending convention to the CR/LF convention required for SMTP transmission. The codec will convert from single carriage return or single line feed line-endings to CR/LF pairs, or will preserve data already using the correct encoding.

Decoded data will have CR/LF pairs converted to `\n`.

An instance of QMailLineEndingCodec contains state information about the encoding or decoding operation it performs, so an instance should be used for a single coding operation only:

See also QMailCodec.

## Member Function Documentation

### QMailLineEndingCodec::QMailLineEndingCodec ()

Constructs a codec object for coding text data, converting between the local line-ending convention and the CR/LF line-ending sequence required for SMTP transmission.